<?php
/**
 * Model object generated by: Skipper (http://www.skipper18.com)
 * Do not modify this file manually.
 */

namespace App\AbstractModels;

use Illuminate\Database\Eloquent\Relations\Pivot;

abstract class AbstractTest extends Pivot
{
    /**  
     * Primary key type.
     * 
     * @var string
     */
    protected $keyType = 'bigInteger';

    protected $table = 'tests';
    
    /**  
     * The attributes that should be cast to native types.
     * 
     * @var array
     */
    protected $casts = [
        'resultat_id' => 'integer',
        'resultat_type' => 'string',
        'id' => 'integer',
        'exam_id' => 'integer',
        'insurance_id' => 'integer',
        'demand_id' => 'integer',
        'created_at' => 'datetime',
        'updated_at' => 'datetime'
    ];
    
    /**  
     * The attributes that are mass assignable.
     * 
     * @var array
     */
    protected $fillable = [
        'resultat_id',
        'resultat_type',
        'id',
        'exam_id',
        'demand_id',
        'insurance_id',
        'created_at',
        'updated_at'
    ];
    
    public function resultat()
    {
        return $this->morphTo('resultat', 'resultat_type', 'resultat_id');
    }

    public function insurance()
    {
        return $this->belongsTo("App\Insurance");
    }

    public function demand()
    {
        return $this->belongsTo("App\Demand");
    }

    public function exam()
    {
        return $this->belongsTo("App\Exam");
    }
}
